Subject: Re: bug#20582: GuixSD ver 0.8.2, DHCLIENT not setting up the network.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 17 May 2015 23:28:24 +0200

I went ahead and committed a documentation patch in 152dd61.

However, looking more closely (in QEMU), I noticed that
‘dhcp-client-service’ also needs to set the interfaces up before calling
‘dhclient’, hence commit 9bb34f9.

Now, I wonder what has changed.  I recall that this was not needed in
the past, so perhaps a change in Linux-libre 4.0.2 made interfaces down
by default or something like that.  Any ideas?

Ludo’.